/* team number w/ bottom border*/
.team-header {
    display: block;
    padding-top: 20px;
    padding-bottom: 20px;
    margin-top: 0px;
    margin-left: 200px;
    width: 70%;
    
    text-decoration: none;
    font-size: 60px;
    border-bottom: 5px solid white;
    text-align: left;
}

/* shows the average score in a grey text */
.average-score {
    margin: 15px 0 50px 200px;
    
    font-size: 25px;
    text-align: left;
}

/* displays all match header */
.matches {
    display: block;
    margin: 70px auto 0 auto;
    padding-top: 30px;
    padding-bottom: 20px;
    width: 90%;

    border-top: 2.5px solid #d8d8d8;
    font-size: 40px;
}

/* overall match table CSS*/
#matchTable {
    display: block;
    margin: 20px auto 70px auto;
    width: 90%;
    padding: 0;

    overflow-x: scroll;
    overflow-y: visible;
}

#matchTable th {
    font-size: 22px;
    padding: 20px 10px 20px 10px;
    cursor: pointer;
}

#matchTable td {
    font-size: 20px;
    padding-left: 10px;
    padding-bottom: 10px;
    width: 25%;
}

/* displays the icon and label in the same line + makes the first column wider */
.inline {
    margin-right: 150px;
    display: inline;
}

/* adds CSS to the average row (darkens and bolds it) */
.average {
    background-color: #5a595e;
    color: white;
    font-weight: bold;
}

/* back button */
.match-button {
    display: inline-block;
    padding: 14px 40px;
    width: 15%;
    margin: 20px 750px 20px 0;
    
    background: #FF1814;
    transition: 0.2s ease;
    border-radius: 6px;
    font-size: 18px;
}

.match-button:hover {
    transform: scale(1.1);
    background-color: #ff5657;
}

/* container for all the gooogle charts*/
.charts {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-content: space-around;
    margin-right: auto;
    margin-left: auto;
    width: 90%;
}

/* individual bottom 2 charts */
#climbing_chart {
    width: 600px;
    height: 400px;
}

#hatch_cargo_div {
    width: 600px;
    height: 400px;
}

.grey-text {
    color: #a9a9aa;
}

/* highlights the row that is being sorted */
.highlightedCell {
    color: #FF1814;
}

/* search bar CSS*/
.search-bar{
    display: flex;
    flex-direction: row;
    justify-content: center;
    
    margin-top: 30px;
    margin-bottom: 40px;
    padding: 20px;
    
    font-size: calc(12px + 0.75vw);
    font-family: "Montserrat";
    
    outline: none;
}

.search-bar h1{
    padding: 10px;
    width: 50px;
    
    border-radius: 5px;
    background-color: grey;
}

/* icon css */
.search-bar input{
    padding-left: 25px;
    width: calc(80% - 50px);
    
    font-size: calc(10px + 0.75vw);
    font-family: "Montserrat";
    background-color: grey;
    border: 2px solid #474747;
    outline: none;
}

.search-bar input::placeholder{
    color: #adadad;
    padding: 300px 10px 30000px 0px;
    font-family: "Montserrat";
    font-size: calc(12px + 0.75vw);
    
    margin: 50px;
    text-align: left;
    text-decoration: none;
}

/* Media query for phones (portrait orientation) */
@media only screen and (max-width: 900px) and (min-width: 200px) and (orientation: portrait) {
    
    .match-button {
        display: inline-block;
        width: 40%;
        font-size: 15px;
        margin-left: 110px;
    }
    
    .team-header {
        font-size: 40px;
        margin-top: 20px;
        margin-left: auto;
        margin-right: auto;
    }
    
    .average-score {
        margin-left: 55px;
    }
    
    .charts {
        width: 100%;
    }
    
    /* Chart CSS */
    #climbing_chart {
        width: 93%;
        height: 300px;
    }
    
    #hatch_chart {
        width: 93%;
        height: 300px;
    }

    #cargo_chart {
        width: 93%;
        height: 300px;
    }
    
    #sandstorm_chart {
        width: 93%;
        height: 300px;
    }
    
    #hatch_cargo_div {
        width: 93%;
        height: 300px;
    }
    
    /* CSS for Table headers and rows */
    #matchTable th {
        font-size: 17px;
    }
    
    #matchTable td {
        font-size: 15px;
        padding-left: 10px;
        padding-bottom: 10px;
        width: 25%;
    }
    
    .inline {
        margin-right: 120px;
        display: inline;
    }
    
    .matches {
        font-size: 30px;
    }
}

/* Media query for phones (landscape orientation) */
@media only screen and (max-width: 900px) and (min-width: 200px) and (orientation: landscape) {
    
    .match-button {
        width: 30%;
        font-size: 15px;
        margin-left: 220px;
    }
    
    .team-header {
        margin-left: 50px;
        font-size: 40px;
    }
    
    .average-score {
        margin-left: 50px;
    }
    
    /* Chart CSS */
    #climbing_chart {
        width: 93%;
        height: 300px;
    }
    
    #hatch_chart {
        width: 93%;
        height: 300px;
    }

    #cargo_chart {
        width: 93%;
        height: 300px;
    }
    
    #sandstorm_chart {
        width: 93%;
        height: 300px;
    }
    
    #hatch_cargo_div {
        width: 93%;
        height: 300px;
    }
    .charts {
        width: 100%;
    }
}